{% extends "base.html" %}
{% load i18n %}
{% block title %}{% translate "existing collections"|capfirst %}{% endblock %}
{% block content %}
  <div class="row">
    <div class="col">
      <h1>{% translate "existing collections"|capfirst %}</h1>
    </div>
  </div>
  <div class="row">
    <div class="col text-end">
      {% if perms.artefacts.add_existingcollection %}
        <a href="{% url 'artefacts:import-file' %}" class="btn btn-outline-primary">{% translate "import"|capfirst %}</a>
      {% endif %}
    </div>
  </div>
  <div class="row">
    <div class="col">
      <table class="table table-hover">
        <thead>
          <tr>
            <th>{% translate 'inventory number'|capfirst %}</th>
            <th>{% translate 'name'|capfirst %}</th>
            <th>{% translate 'description'|capfirst %}</th>
            <th></th>
          </tr>
        </thead>
        <tbody>
          {% for existing_collection in object_list %}
          <tr onclick="window.location='{{ existing_collection.get_absolute_url }}'">
            <td>{{ existing_collection.inventory_number }}</td>
            <td>{{ existing_collection.name }}</td>
            <td>{{ existing_collection.description }}</td>
            <td>
              <div class="d-flex justify-content-end">
                {% if perms.artefacts.delete_existingcollection %}
                  <a href="{% url 'artefacts:delete-existing-collection' existing_collection.id %}" class="btn-sm btn-outline-danger mx-1"><i class="bi bi-trash"></i></a>
                {%  endif %}
              </div>
            </td>
          </tr>
          {% endfor %}
        </tbody>
      </table>
    </div>
  </div>
{% endblock %}
